>From 35100363a976d6424eb95ebce07290f39a861549 Mon Sep 17 00:00:00 2001
From: Erwan Tulou <brezhoneg1@yahoo.fr>
Date: Mon, 2 Mar 2009 16:39:39 +0100
Subject: [PATCH] Corrects crash when closing preference dialog (upper right X icon) and trying to open it again.

---
 modules/gui/qt4/dialogs/preferences.hpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/modules/gui/qt4/dialogs/preferences.hpp b/modules/gui/qt4/dialogs/preferences.hpp
index bbddfaa..5c22279 100644
--- a/modules/gui/qt4/dialogs/preferences.hpp
+++ b/modules/gui/qt4/dialogs/preferences.hpp
@@ -51,7 +51,7 @@ public:
             instance = new PrefsDialog( (QWidget *)p_intf->p_sys->p_mi, p_intf );
         return instance;
     }
-    virtual ~PrefsDialog() {};
+    virtual ~PrefsDialog() { instance = NULL; }
 #if 0
     /*Called from extended settings, is not used anymore, but could be useful one day*/
     void showModulePrefs( char* );
-- 
1.5.2.5

